/*---------------------------------------------------------------------*/
/*                              WINDOW.JS                              */
/*       Maneja todas las operaciones relacionadas a ventanas	       */
/*---------------------------------------------------------------------*/

// Variable para ventana.
var new_window ;

/*----------------------------------------------------------------------

	Funcin: openWindow							
	Abre una nueva ventana con las especificaciones dadas.	  

	Entradas: 
	theURL		Direccin URL de la nueva ventana			
	winName		Nombre de la ventana					
	features	Especificaciones de la ventana. 	
			Ver propiedades del mtodo "window.open()"	
			Por ejemplo:	"width=550,height=250" 		
			"toolbar,status,resizable,width=400,height=200"	

----------------------------------------------------------------------*/

function openWindow( theURL, winName, features) 
{ 
	if ( !new_window || new_window.closed)
		new_window = window.open(theURL,winName,features);
	else 
		new_window.focus() ;
}

/*----------------------------------------------------------------------

	Funcin: closeWindow							
	Cierra la ventana en la variable new_window si est abierta.		

----------------------------------------------------------------------*/

function closeWindow() 
{
	if ( new_window != null )
	{
		new_window.close() ;
	}	
}

/*----------------------------------------------------------------------

	Funcin: openWindow							
	Abre una url en una ventana emergente, no redimensionable, y en el 
	centro de la pantalla.

	Entradas:
	url		Direccin URL de la nueva ventana			
	ancho	Ancho de la ventana
	alto	Alto de la ventana

			Ver propiedades del mtodo "window.open()"	
			Por ejemplo:	"width=550,height=250" 		
			"toolbar,status,resizable,width=400,height=200"	

----------------------------------------------------------------------*/

function nueva_ventana_estatica(url,ancho,alto) {

	var ancho_pantalla;
	var alto_pantalla;

	var arriba;
	var izquierda;

	var ancho_ventana;
	var alto_ventana;

	ancho_ventana = ancho;
	alto_ventana = alto;

	ancho_pantalla = window.screen.width;
	alto_pantalla = window.screen.height;

	arriba = (alto_pantalla/2) - (alto_ventana/2);
	izquierda = (ancho_pantalla/2)-(ancho_ventana/2);

	if ( !new_window || new_window.closed)
		new_window = window.open(url,null,'width=' + ancho_ventana + ',height=' + alto_ventana + ',top='+ arriba +',left=' + izquierda,true)
	else 
		new_window.focus() ;
}

/*  Habre una ventana en modo popup*/
	var myWind
	function doNew(url, alto, ancho) 
	{
		if (!myWind || myWind.closed) {
			myWind = window.open(url,"subWindow","HEIGHT="+alto+",WIDTH="+ancho+", RESIZABLE=no, SCROLLBARS=1")
		} else{
		// Colocando ventana al frente
		myWind.focus()
		}
	}
	
	/*  Habre una ventana en modo popup*/
	function doNew1(url, alto, ancho) 
	{
		if (!myWind || myWind.closed) {
			myWind = window.open(url,"subWindow","HEIGHT="+alto+",WIDTH="+ancho+", RESIZABLE=no, SCROLLBARS = no")
		} else{
		// Colocando ventana al frente
		myWind.focus()
		}
	}


